careCycle
CampaignsAppointment configs

Delete appointment config

Delete an appointment config

DELETE
/v2/campaigns/appointment-configs/{id}

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Appointment config ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.carecycle.ai/v2/campaigns/appointment-configs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "appointmentConfig": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": null,
    "updatedAt": null,
    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
    "name": "string",
    "description": "string",
    "concurrentLimit": -2147483648,
    "appointmentLength": -2147483648,
    "appointmentSpacing": -2147483648,
    "maxOptions": -2147483648,
    "minDate": "string",
    "maxDate": "string",
    "minHours": -2147483648,
    "preferredMode": "timezone",
    "appointmentMode": "phone_call",
    "showCallerIdOnBookingPage": true,
    "assignmentMode": "customer_agent",
    "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
    "transferConfigId": "e0ca1204-c276-46be-8cf8-5259ed04eb66",
    "workflows": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "enabled": true,
        "trigger": {
          "anchor": "event_starts",
          "offsetMinutes": -9007199254740991
        },
        "condition": {
          "kind": "appointment_status",
          "statuses": [
            "scheduled"
          ]
        },
        "action": {
          "type": "sms",
          "senderId": "string",
          "template": "string"
        }
      }
    ],
    "bookingHours": [
      {
        "startHour": 23,
        "startMinute": 59,
        "endHour": 24,
        "endMinute": 59,
        "dayOfWeek": [
          6
        ]
      }
    ],
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
    "updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e",
    "assignedCampaignCount": 0,
    "assignedTransferConfigCount": 0
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}